Package com.ngrok.services

# Class EdgesTls

java.lang.Object
com.ngrok.services.EdgesTls

public class EdgesTls extends Object
An API client for `EdgesTls`. See also https://ngrok.com/docs/api#api-edges-tls.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `EdgesTls.CreateCallBuilder`
  A builder object encapsulating state for an unsent Create API call.
  `class`
  `EdgesTls.DeleteCallBuilder`
  A builder object encapsulating state for an unsent Delete API call.
  `class`
  `EdgesTls.GetCallBuilder`
  A builder object encapsulating state for an unsent Get API call.
  `class`
  `EdgesTls.ListCallBuilder`
  A builder object encapsulating state for an unsent List API call.
  `class`
  `EdgesTls.UpdateCallBuilder`
  A builder object encapsulating state for an unsent Update API call.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EdgesTls(NgrokApiClient apiClient)`
  Creates a new sub-client for EdgesTls.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EdgesTls.CreateCallBuilder`
  `create()`
  Create a TLS Edge See also https://ngrok.com/docs/api#api-edges-tls-create.
  `EdgesTls.DeleteCallBuilder`
  `delete(String id)`
  Delete a TLS Edge by ID See also https://ngrok.com/docs/api#api-edges-tls-delete.
  `EdgesTls.GetCallBuilder`
  `get(String id)`
  Get a TLS Edge by ID See also https://ngrok.com/docs/api#api-edges-tls-get.
  `EdgesTls.ListCallBuilder`
  `list()`
  Returns a list of all TLS Edges on this account See also https://ngrok.com/docs/api#api-edges-tls-list.
  `EdgesTls.UpdateCallBuilder`
  `update(String id)`
  Updates a TLS Edge by ID.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EdgesTls

    public EdgesTls(NgrokApiClient apiClient)
    Creates a new sub-client for EdgesTls.
    Parameters:
      `apiClient` - an instance of `NgrokApiClient`

- ## Method Details

  - ### create

    public EdgesTls.CreateCallBuilder create()
    Create a TLS Edge See also https://ngrok.com/docs/api#api-edges-tls-create.
    Returns:
      a call builder for this API call

  - ### get

    public EdgesTls.GetCallBuilder get(String id)
    Get a TLS Edge by ID See also https://ngrok.com/docs/api#api-edges-tls-get.
    Parameters:
      `id` - a resource identifier
    Returns:
      a call builder for this API call

  - ### list

    public EdgesTls.ListCallBuilder list()
    Returns a list of all TLS Edges on this account See also https://ngrok.com/docs/api#api-edges-tls-list.
    Returns:
      a call builder for this API call

  - ### update

    public EdgesTls.UpdateCallBuilder update(String id)
    Updates a TLS Edge by ID. If a module is not specified in the update, it will not be modified. However, each module configuration that is specified will completely replace the existing value. There is no way to delete an existing module via this API, instead use the delete module API. See also https://ngrok.com/docs/api#api-edges-tls-update.
    Parameters:
      `id` - unique identifier of this edge
    Returns:
      a call builder for this API call

  - ### delete

    public EdgesTls.DeleteCallBuilder delete(String id)
    Delete a TLS Edge by ID See also https://ngrok.com/docs/api#api-edges-tls-delete.
    Parameters:
      `id` - a resource identifier
    Returns:
      a call builder for this API call